procedure mirsi_patsubmed(input,c1,c2,lowcut,hicut)
file input  {prompt = "Input image template or list"}
int c1 {prompt = "input minimum column for median calculation"}
int c2 {prompt = "input maximum column for median calculation"}
real lowcut {prompt = "lower limit for stats"}
real hicut {prompt = "upper limit for stats"}
struct *inimglist
struct *rlist
struct *filenames

begin

 int channel
 int index,ist,iend ,Tticks,waitticks,FowlerN,readmode,chksumval
 string inimg,s1,outimg,rfile,exfile
 real medianest


 inimg = input
 if(access("imgets.log")) 
    delete("imgets.log",verify-)
 if(substr(inimg,1,1) == "@") {  #input is a list, not a single image
   i = strlen(inimg)
   inimglist = substr(inimg,2,i)
 }
 else {
   if(access("list_in"))         #delete old copy of template f
     delete("list_in",verify-)
   files(inimg, > "list_in")     #expand file template into a l
   inimglist  = "list_in"
 }

 delete("tempim*.fits",verify-)
 delete("list_in2", verify-)
 delete("tmp_mos.fits",verify-)
 delete("submed_list",verify-)
 while(fscan(inimglist,inimg) != EOF) {

  print("Now processing ",inimg)
  outimg=substr(inimg,1,strlen(inimg)-5)//"p.fits"
  rfile="submed_list"
  print("test list",> rfile)
  for (i=1; i<17; i=i+1)
  {
    ist=(i-1)*20+1
    iend=ist+19
    if (i<10)
    {
       imcopy(inimg//"["//ist//":"//iend//",1:240]", "tempim0"//i)
       imstat("tempim0"//i//"[1:20,1:20]",fields="image,midpt",lower=lowcut,upper=hicut,>> rfile)
    } else {
       imcopy(inimg//"["//ist//":"//iend//",1:240]", "tempim"//i)
       imstat("tempim"//i//"[1:20,1:20]",fields="image,midpt",lower=lowcut,upper=hicut,>> rfile)
    }
  }
  files("tempim0"//c1, > "list_in2")
  for (i=c1+1; i<c2+1; i=i+1)
     if (i>9)
       files("tempim"//i,>>"list_in2")
     else
       files("tempim0"//i,>>"list_in2")
       

 
  filenames=rfile

  if (fscan(filenames,exfile)==EOF)
  {
     print("Error reading test_list")
     exit
  }

  if (fscan(filenames,exfile)==EOF)
  {
     print("Error reading test_list")
     exit
  }

  while (fscan(filenames,exfile,medianest)!=EOF)
  {
     imarith(substr(exfile,1,8),"-",medianest,substr(exfile,1,8))
     if (fscan(filenames,exfile)==EOF)
     {
         print("test_list end")
     }
  }

  delete(rfile,verify-)
  delete("tmp_mos*",verify-)
  imcombine("@list_in2","tmp_mos",combine="median",reject="sigclip",offset="none",nhi=1,nlow=0)
  imcopy(inimg//"[1:320,1:240]",outimg)
  for (i=1; i<17; i=i+1)
  {
    ist=(i-1)*20+1
    iend=ist+19
    if (i>9) {
       imarith("tempim"//i,"-","tmp_mos","tempim"//i)
       imcopy("tempim"//i//"[1:20,1:240]", outimg//"["//ist//":"//iend//",1:240]")
    } else {
       imarith("tempim0"//i,"-","tmp_mos","tempim0"//i)
       imcopy("tempim0"//i//"[1:20,1:240]", outimg//"["//ist//":"//iend//",1:240]")
    }
  }
  delete("tempim*",verify-)
 delete("list_in2",verify-)

 }
 delete("list_in*",verify-)
end
